"""
Default corpus attributes

If you edit default types, please update 'DEFAULT_CORPUS_ATTRS' config value in the frontend (at js/config.js)
"""

DEFAULT_CORPUS_TYPES = [
    {
        'slug': 'folder',
        'display_name': 'Folder',
        'folder': True,
    },
    {
        'slug': 'page',
        'display_name': 'Page',
    },
    {
        'slug': 'text_line',
        'display_name': 'Text line',
    },
    {
        'slug': 'text_zone',
        'display_name': 'Text zone',
    },
    {
        'slug': 'word',
        'display_name': 'Word',
    },
    {
        'slug': 'paragraph',
        'display_name': 'Paragraph',
    },
    {
        'slug': 'illustration',
        'display_name': 'Illustration',
    },
    {
        'slug': 'decoration',
        'display_name': 'Decoration',
    },
    {
        'slug': 'chart',
        'display_name': 'Chart',
    },
    {
        'slug': 'table',
        'display_name': 'Table',
    },
    {
        'slug': 'signature',
        'display_name': 'Signature',
    }
]

DEFAULT_TRANSKRIBUS_TYPES = [
    {
        'slug': 'volume',
        'display_name': 'Volume',
        'folder': True,
    },
    {
        'slug': 'page',
        'display_name': 'Page',
    },
    {
        'slug': 'text_line',
        'display_name': 'Text line',
    },
    {
        'slug': 'paragraph',
        'display_name': 'Paragraph',
    }
]
